# $Revision: 1.22 $, $Date: 2001/12/06 11:17:01 $
Summary:	Programs for creating instances of Type 1 multiple-master fonts
Summary(pl):	Programy do tworzenia instancji fontw Type 1 multiple-master
Name:		mminstance
Version:	1.16.3
Release:	2
License:	GPL
Group:		Applications/Printing
Group(de):	Applikationen/Drucken
Group(pl):	Aplikacje/Drukowanie
Vendor:		Little Cambridgeport Design Factory
Source0:	http://www.lcdf.org/type/%{name}-%{version}.tar.gz
URL:		http://www.lcdf.org/type/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The mminstance package is two programs for creating instances of
multiple master fonts. (A multiple master font allows you to smoothly
vary its appearance along one or more design axes, like weight or
width. An instance of a multiple master is one particular point in its
design space, like ``weight=471 optical size=18''.)

mmafm creates the AFM file (font metrics) for an instance, given the
AMFM and AFM files distributed with the multiple master. mmpfb creates
a normal, single-master font for an instance, given the multiple
master font itself. These tools help multiple masters work with the
many UNIX programs for single-master fonts (afm2tfm, ps2pk, etc.).

%description -l pl
Ten pakiet skada si z dwch programw do tworzenia instancji fontw
Type 1 multiple-master (font multiple-master pozwala pynnie zmienia
wzdu jednej lub wicej osi wygld - np. grubo lub szeroko.
Instancja multiple-master jest punktem w przestrzeni, typu "weight=471
optical size=18").

mmafm tworzy pliki AFM (metryki fontw) dla instancji po podaniu
plikw AMFM i AFM dystrybuowanych z multiple-master. mmpfb tworzy
normalny font single-master dla instancji po podaniu fontu
multiple-master. Te narzdzia pomagaj w uywaniu fontw
multiple-master z wieloma programami dla fontw single-master
(afm2tfm, ps2pk itp.).

%prep
%setup -q

%build
rm -f missing
aclocal
autoconf
automake -a -c
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -fno-implicit-templates"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf NEWS README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mminstance.spec,v $
Revision 1.22  2001/12/06 11:17:01  qboosh
- pl translations; release 2

Revision 1.21  2001/09/19 19:54:01  kloczek
- updated to 1.16.3.

Revision 1.20  2001/09/10 21:37:29  kloczek
- updated to 1.16.2,
- added "rm -f missing" on top %build for avoid error message about incorrect
  version missing script.

Revision 1.19  2001/07/19 17:16:29  kloczek
- updated to 1.16.1,
- regenerate ac/am files (spec is ac 2.5x ready).

Revision 1.18  2001/06/22 10:31:35  kloczek
- updated to 1.16.

Revision 1.17  2001/05/02 21:51:24  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.16  2000/08/21 00:12:23  kloczek
- updated to 1.15.1.

Revision 1.15  2000/07/25 07:15:50  kloczek
- updated to 1.15.

Revision 1.14  2000/06/23 11:43:03  kloczek
- updated to 1.14.

Revision 1.13  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/05/23 23:34:32  kloczek
- updated to 1.13,
- spec adapterized.

Revision 1.10  2000/04/05 23:27:36  kloczek
- updated to 1.12,
- spec adapterized,
- added maximum C++ optimization (-fno-rtti -fno-exceptions
  -fno-implicit-templates),
- added DESTDIR style %install,
- pass LDFLAGS="-s" to ./configure enviroment in %build instead stripping
  %binaries in install
- fiew other simplifications.

Revision 1.9  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.7  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.6  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).
